org.apache.geode.cache.configuration

## Class PdxType

- java.lang.Object
- - org.apache.geode.cache.configuration.PdxType

-     @Experimental
      public class PdxType
      extends java.lang.Object

  A "pdx" element specifies the configuration for the portable data exchange (PDX) method of serialization. The "read-serialized" attribute is "early access".

  Java class for pdx-type complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="pdx-type">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="pdx-serializer" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                         <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
             <attribute name="read-serialized" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="ignore-unread-fields" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="persistent" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PdxType.PdxSerializer` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `diskStoreName`
    `protected java.lang.Boolean` | `ignoreUnreadFields`
    `protected PdxType.PdxSerializer` | `pdxSerializer`
    `protected java.lang.Boolean` | `persistent`
    `protected java.lang.Boolean` | `readSerialized`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdxType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDiskStoreName()` Gets the value of the diskStoreName property.
    `PdxType.PdxSerializer` | `getPdxSerializer()` Gets the value of the pdxSerializer property.
    `java.lang.Boolean` | `isIgnoreUnreadFields()` Gets the value of the ignoreUnreadFields property.
    `java.lang.Boolean` | `isPersistent()` Gets the value of the persistent property.
    `java.lang.Boolean` | `isReadSerialized()` Gets the value of the readSerialized property.
    `void` | `setDiskStoreName(java.lang.String value)` Sets the value of the diskStoreName property.
    `void` | `setIgnoreUnreadFields(java.lang.Boolean value)` Sets the value of the ignoreUnreadFields property.
    `void` | `setPdxSerializer(PdxType.PdxSerializer value)` Sets the value of the pdxSerializer property.
    `void` | `setPersistent(java.lang.Boolean value)` Sets the value of the persistent property.
    `void` | `setReadSerialized(java.lang.Boolean value)` Sets the value of the readSerialized property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pdxSerializer

          protected PdxType.PdxSerializer pdxSerializer

    - #### readSerialized

          protected java.lang.Boolean readSerialized

    - #### ignoreUnreadFields

          protected java.lang.Boolean ignoreUnreadFields

    - #### persistent

          protected java.lang.Boolean persistent

    - #### diskStoreName

          protected java.lang.String diskStoreName

  - ### Constructor Detail

    - #### PdxType

          public PdxType()

  - ### Method Detail

    - #### getPdxSerializer

          public PdxType.PdxSerializer getPdxSerializer()

      Gets the value of the pdxSerializer property.
      Returns:
        possible object is `PdxType.PdxSerializer`

    - #### setPdxSerializer

          public void setPdxSerializer(PdxType.PdxSerializer value)

      Sets the value of the pdxSerializer property.
      Parameters:
        `value` - allowed object is `PdxType.PdxSerializer`

    - #### isReadSerialized

          public java.lang.Boolean isReadSerialized()

      Gets the value of the readSerialized property.
      Returns:
        possible object is `Boolean`

    - #### setReadSerialized

          public void setReadSerialized(java.lang.Boolean value)

      Sets the value of the readSerialized property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isIgnoreUnreadFields

          public java.lang.Boolean isIgnoreUnreadFields()

      Gets the value of the ignoreUnreadFields property.
      Returns:
        possible object is `Boolean`

    - #### setIgnoreUnreadFields

          public void setIgnoreUnreadFields(java.lang.Boolean value)

      Sets the value of the ignoreUnreadFields property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isPersistent

          public java.lang.Boolean isPersistent()

      Gets the value of the persistent property.
      Returns:
        possible object is `Boolean`

    - #### setPersistent

          public void setPersistent(java.lang.Boolean value)

      Sets the value of the persistent property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getDiskStoreName

          public java.lang.String getDiskStoreName()

      Gets the value of the diskStoreName property.
      Returns:
        possible object is `String`

    - #### setDiskStoreName

          public void setDiskStoreName(java.lang.String value)

      Sets the value of the diskStoreName property.
      Parameters:
        `value` - allowed object is `String`